<?php

class onLokaRelinksContentForm extends cmsAction {

    public function run($data){

        $form = $data['form'];
        $l_source = $data['this']->request->get('ctype_name') . '/' . $data['this']->request->get('id');
        $target = $this->model->l_getTarget('', $l_source);
//        var_dump($form);
        $fieldset = $form->addFieldset('ReLinks', 'loka_relinks');

        $form->addField($fieldset, new fieldString('loka_relinks:uri', array(
            'title' => 'Урл материала',
            'hint' => 'Если не заполнить, то адрес будет стандартным',
            'default' => (!empty($target['l_req_uri']) ? $target['l_req_uri'] : '')
        )));
        $form->addField($fieldset, new fieldCheckbox('loka_relinks:add_redirect', array(
            'title' => 'Добавить редирект со старого адреса',
            'hint' => 'Добавится только при изменении текущего адреса или, если такого редиректа ещё нет'
        )));
        $form->addField($fieldset, new fieldString('loka_relinks:title', array(
            'title' => 'Title страницы',
            'hint' => 'Если не заполнить, то будет совпадать с названием материала',
            'default' => (!empty($target['l_data']['title']) ? $target['l_data']['title'] : '')
        )));
        $form->addField($fieldset, new fieldText('loka_relinks:desc', array(
            'title' => 'Мета: описание',
            'hint' => 'Если не заполнить, то будет автоматически сгенерированным',
            'default' => (!empty($target['l_data']['desc']) ? $target['l_data']['desc'] : '')
        )));
        $form->addField($fieldset, new fieldText('loka_relinks:keys', array(
            'title' => 'Мета: ключевые слова',
            'hint' => 'Если не заполнить, то будет автоматически сгенерированным',
            'default' => (!empty($target['l_data']['keys']) ? $target['l_data']['keys'] : '')
        )));

        return $data;

    }

}
