<?php

class modelLokaRelinks extends cmsModel{

    public function l_getTarget($uri = '', $source = '', $l_type = ''){

        $this->where = $source ? "i.`l_source` = '{$source}' AND i.`l_type` = '".($l_type?:'rewrite')."'" : "i.`l_req_uri` = '{$uri}'".($l_type ? " AND i.`l_type` = '{$l_type}'" : '');
        $this->limit = 1;

        $data = $this->get('loka_relinks_urls', function($item, $model){
            $item['l_data'] = $item['l_data'] ? cmsModel::yamlToArray($item['l_data']) : array();
            return $item;
        }, false);

        return !empty($data[0]) ? $data[0] : array();
        
    }

    public function l_clearRoot($uri){
        
        $config = cmsConfig::getInstance();
        $root = $config->root;
        $uri = urldecode($uri);
        if($root && $root != '/'){
            $uri = str_replace('~rlnks~'.$root, '', '~rlnks~'.$uri);
        }else{
            $uri = str_replace('~rlnks~/', '', '~rlnks~'.$uri);
        }
        return $this->db->escape($uri);
        
    }
    
    public function l_upTarget($target, $id, $redirect){
        
        $target['l_data'] = cmsModel::arrayToYaml($target['l_data']);
        if($this->update('loka_relinks_urls', $id, $target)){
            if($redirect){
                return $this->insert('loka_relinks_urls', $redirect);
            }
            return true;
        }else{
            return false;
        }
        
    }
    
    public function l_addTarget($target, $redirect){
        
        $target['l_data'] = cmsModel::arrayToYaml($target['l_data']);
        if($this->insert('loka_relinks_urls', $target)){
            if($redirect){
                return $this->insert('loka_relinks_urls', $redirect);
            }
            return true;
        }else{
            return false;
        }
        
    }
    
    public function l_delTarget($id){
        return $this->delete('loka_relinks_urls', $id);
    }

}
